> ## Documentation Index
> Fetch the complete documentation index at: https://docs.serval.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create App Resource

> Create a new app resource for an app instance.



## OpenAPI

````yaml /sections/api-reference/openapi-spec-v2.yaml post /v2/app-resources
openapi: 3.1.0
info:
  title: Serval Public API
  description: Serval Public API
  contact:
    name: Serval
    url: https://serval.com
    email: support@serval.com
  license:
    name: Serval License
    url: https://serval.com/license
  version: 2.0.0
servers:
  - url: https://public.api.serval.com
security:
  - BearerAuth: []
tags:
  - name: Access Policy API
  - name: Access Policy Approval Procedure API
  - name: Access Profile API
  - name: Access Relationship API
  - name: Access Request API
  - name: Agent API
  - name: App Instance API
  - name: App Resource API
  - name: App Resource Role API
  - name: Approval Delegation API
  - name: Approval Request API
  - name: Audit Log API
  - name: Change Blackout API
  - name: Change Model API
  - name: Custom Field API
  - name: Custom Service API
  - name: Entity API
  - name: Entity Field Mapping API
  - name: Entity Ingestion Config API
  - name: Entity Type API
  - name: Folder API
  - name: Group API
  - name: Guidance API
  - name: Help Agent API
  - name: Journey API
  - name: Knowledge API
  - name: Knowledge Base API
  - name: Report API
  - name: SLA API
  - name: Schedule API
  - name: Tag API
  - name: Team API
  - name: Team User API
  - name: Ticket API
  - name: Topic API
  - name: User API
  - name: User Relationship API
  - name: Workflow API
  - name: Workflow Approval Procedure API
  - name: Workflow Run API
paths:
  /v2/app-resources:
    post:
      tags:
        - App Resource API
      summary: Create App Resource
      description: Create a new app resource for an app instance.
      operationId: svrelay.publicv2.PublicAPIServiceV2.CreateAppResource
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/svflow.publicapi.CreateAppResourceRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/svflow.publicapi.CreateAppResourceResponse
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/connect.error'
      security:
        - BearerAuth: []
components:
  schemas:
    svflow.publicapi.CreateAppResourceRequest:
      type: object
      properties:
        appInstanceId:
          type: string
          title: app_instance_id
          description: The ID of the app instance.
          x-stainless-terraform-configurability: required
        resourceType:
          type: string
          title: resource_type
          description: The type of the resource.
          x-stainless-terraform-configurability: required
        name:
          type: string
          title: name
          description: The name of the resource.
          x-stainless-terraform-configurability: required
        description:
          type: string
          title: description
          description: A description of the resource.
          x-stainless-terraform-configurability: optional
        externalId:
          type: string
          title: external_id
          description: The external ID of the resource (optional).
          nullable: true
          x-stainless-terraform-configurability: optional
        owners:
          type: array
          items:
            $ref: '#/components/schemas/svflow.pubapimodels.OwnerTarget'
          title: owners
          description: Owners (users/groups) to set on the created resource (optional).
          x-stainless-terraform-configurability: optional
      title: CreateAppResourceRequest
      required:
        - appInstanceId
        - resourceType
        - name
      additionalProperties: false
    svflow.publicapi.CreateAppResourceResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/svflow.pubapimodels.Resource'
          title: data
          description: The created resource.
          x-stainless-terraform-configurability: optional
      title: CreateAppResourceResponse
      additionalProperties: false
    connect.error:
      type: object
      properties:
        code:
          type: string
          examples:
            - not_found
          enum:
            - canceled
            - unknown
            - invalid_argument
            - deadline_exceeded
            - not_found
            - already_exists
            - permission_denied
            - resource_exhausted
            - failed_precondition
            - aborted
            - out_of_range
            - unimplemented
            - internal
            - unavailable
            - data_loss
            - unauthenticated
          description: >-
            The status code, which should be an enum value of
            [google.rpc.Code][google.rpc.Code].
          x-stainless-terraform-configurability: optional
        message:
          type: string
          description: >-
            A developer-facing error message, which should be in English. Any
            user-facing error message should be localized and sent in the
            [google.rpc.Status.details][google.rpc.Status.details] field, or
            localized by the client.
          x-stainless-terraform-configurability: optional
        detail:
          $ref: '#/components/schemas/google.protobuf.Any'
          x-stainless-terraform-configurability: optional
      title: Connect Error
      additionalProperties: true
      description: >-
        Error type returned by Connect:
        https://connectrpc.com/docs/go/errors/#http-representation
    svflow.pubapimodels.OwnerTarget:
      type: object
      properties:
        targetId:
          type: string
          title: target_id
          description: The ID of the owner (user or group).
          x-stainless-terraform-configurability: optional
        targetType:
          $ref: >-
            #/components/schemas/svflow.common.models.AccessRelationshipTargetType
          title: target_type
          description: The type of the owner.
          x-stainless-terraform-configurability: optional
      title: OwnerTarget
      additionalProperties: false
      description: An owner (user or group) to set on an access-hierarchy subject.
    svflow.pubapimodels.Resource:
      type: object
      properties:
        id:
          type: string
          title: id
          description: The ID of the resource.
          readOnly: true
          x-stainless-terraform-configurability: computed
        appInstanceId:
          type: string
          title: app_instance_id
          description: The ID of the app instance that the resource belongs to.
          x-stainless-terraform-configurability: optional
        resourceType:
          type: string
          title: resource_type
          description: The type of the resource.
          x-stainless-terraform-configurability: optional
        name:
          type: string
          title: name
          description: The name of the resource.
          x-stainless-terraform-configurability: optional
        description:
          type: string
          title: description
          description: A description of the resource.
          nullable: true
          x-stainless-terraform-configurability: optional
        externalId:
          type: string
          title: external_id
          description: The external ID of the resource.
          nullable: true
          x-stainless-terraform-configurability: optional
        tagIds:
          type: array
          items:
            type: string
          title: tag_ids
          description: IDs of the tags currently attached to this resource.
          x-stainless-terraform-configurability: optional
      title: Resource
      additionalProperties: false
    google.protobuf.Any:
      type: object
      properties:
        type:
          type: string
          x-stainless-terraform-configurability: optional
        value:
          type: string
          format: binary
          x-stainless-terraform-configurability: optional
        debug:
          type: object
          additionalProperties: true
          x-stainless-terraform-configurability: optional
      additionalProperties: true
      description: >-
        Contains an arbitrary serialized message along with a @type that
        describes the type of the serialized message.
    svflow.common.models.AccessRelationshipTargetType:
      type: string
      title: AccessRelationshipTargetType
      enum:
        - ACCESS_RELATIONSHIP_TARGET_TYPE_UNSPECIFIED
        - ACCESS_RELATIONSHIP_TARGET_TYPE_USER
        - ACCESS_RELATIONSHIP_TARGET_TYPE_GROUP
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````